<?php

Class ePayBank {
	/**
	 * ePayBank Wsdl link
	 *
	 * @var string
	 */
	private $WSDL = "http://epaybank.ir/secure_gateway/ariacoders.php";

	/**
	 * Soap Client
	 */
	private $client;

	/**
	 * Parpal MerchantID
	 *
	 * @var integer
	 */
	public $MerchantID;

	/**
	 * ePayBank price payment
	 *
	 * @var integer
	 */
	public $Price;

	/**
	 * Return URL in from ePayBank
	 *
	 * @var string
	 */
	public $ReturnPath;

	/**
	 * Receipt Number
	 *
	 * @var integer
	 */
	public $ResNumber;

	/**
	 * Tracking Number
	 *
	 * @var integer
	 */
	public $RefNumber;

	/**
	 * Description for payment operations
	 *
	 * @var string
	 */
	public $Description;

	/**
	 * Payer name
	 *
	 * @var string
	 */
	public $Paymenter;

	/**
	 * Email payer
	 *
	 * @var string
	 */
	public $Email;

	/**
	 * Mobile payer
	 *
	 * @var integer
	 */
	public $Mobile;

	/**
	 * Payment price
	 *
	 * @var integer
	 */
	public $PayPrice;

	/**
	 * Constructors
	 */
	public function __construct() {
		//$this->client = new SoapClient($this->WSDL);

	require_once "./lib/nusoap.php";
	@session_start();
	}

	/**
	 * Request for payment transactions
	 */
	public function Request() {
$callBackUrl = 'http://' . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
$client=new nusoap_client("http://epaybank.ir/secure_gateway/ariacoders.php");
$error=$client->getError();
if($error){
echo "<h2>Constructor Error</h2><pre>".$error."</pre>";
}
$orderid=date('ymdhis');
$_SESSION["price"]=$this->Price;
$result=$client->call("requestpayment",array($this->MerchantID,$callBackUrl,$this->Price,"parsian",$orderid));
$client->soap_defencoding = 'UTF-8';
if($client->fault){
	//echo "<h2>Fault</h2><pre>";
	return $result;
	//echo "</pre>";
}
else
{
$error=$client->getError();
	if($error)
	{
		return $error;
	}
	else
	{
		echo "<meta http-equiv='Refresh' content='0;URL=$result'>";
		//echo "<script>window.location='".$result."';</script>";
		
	}
}

		

	}

	/**
	 * Verify Payment
	 */
	public function Verify() {

if(isset($_GET['rs']) ) {

$value=trim($_SESSION["price"]);
$rs=$_GET['rs'];
if(preg_match('/^[0-9]*$/',$value))
{
$client=new nusoap_client("http://epaybank.ir/secure_gateway/ariacoders.php");
$client->soap_defencoding = 'UTF-8';

$error=$client->getError();
if($error){
return $error;
}
$result=$client->call("verifypeyment",array($this->MerchantID,$value,$rs,"parsian"));
$client->soap_defencoding = 'UTF-8';

if($client->fault){
	//echo "<h2>Fault</h2><pre>";
	return $result;
	//echo "</pre>";
}
else
{
$error=$client->getError();
	if($error){
		return $error;
	}
	else
	{
		
		if($result=='-33')
		{
		$this->RefNumber=$rs;
		return '-33';
		}
		else
		{
		return $result;
		//echo "پرداخت شما ناموفق بوده است";
		}
	}
}
}//if first



//======================================================================================

			
		}
	}
}
